<form (ngSubmit)="onSubmit()"
      [cdkTrapFocusAutoCapture]="false"
      [formGroup]="form"
      [solidifyFocusFirstElement]="true"
      cdkTrapFocus
>

  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [leftTemplate]="leftTemplate"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #leftTemplate>

    <solidify-image-upload-wrapper-container [isEditable]="(model | isNullOrUndefined) || (editAvailable && !isMetadataEdit
    && model.metadataVersion !== metadataVersionEnum._1_0
    && model.metadataVersion !== metadataVersionEnum._1_1
    && model.metadataVersion !== metadataVersionEnum._2_0)"
                                             [preFallbackImage]="orgUnitLogo"
                                             [resId]="model?.resId"
                                             [uploadInstantly]="false"
                                             [resourceFileNameSpace]="depositActionNameSpace"
                                             [resourceFileState]="$any(depositState)"
                                             [tourAnchor]="$any(tourEnum.depositMetadataThumbnail)"
                                             (logoChange)="logoChange($event)"
    ></solidify-image-upload-wrapper-container>

  </ng-template>

  <ng-template #centerTemplate>

    <div class="header">
      <div class="org-unit">
        <label class="label">
          {{labelTranslateEnum.organizationalUnit | translate}}:
        </label>
        <ng-template [ngIfElse]="normalMode"
                     [ngIf]="isTourMode"
        >
          <div class="name">Tour {{labelTranslateEnum.organizationalUnit | translate}}</div>
        </ng-template>
        <ng-template #normalMode>
          <dlcm-shared-organizational-unit-name-container [id]="getFormControl(formDefinition.organizationalUnitId).value"
                                                          [displayOverlay]="false"
                                                          class="name"
          ></dlcm-shared-organizational-unit-name-container>
        </ng-template>
      </div>
      <div *ngIf="readonly"
           class="status"
      >
        <solidify-status *ngIf="getFormControl(formDefinition.status) as fd"
                         [statusModel]="enumUtil.getKeyValue(depositStatusEnumToTranslate, fd.value)"
        ></solidify-status>
      </div>
    </div>

    <mat-form-field *ngIf="getFormControl(formDefinition.title) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.title | translate}}</mat-label>
      <input [solidifyDataTest]="dataTestEnum.depositTitle"
             [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.description) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.description | translate}}</mat-label>
      <textarea [solidifyDataTest]="dataTestEnum.depositDescription"
                [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                cdkAutosizeMaxRows="20"
                cdkAutosizeMinRows="3"
                cdkTextareaAutosize
                matInput
      >
           </textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <div *ngIf="getFormControl(formDefinition.authors) as fd"
         class="author-wrapper"
    >
      <div class="author-wrapper-firstline">
        <solidify-searchable-multi-select #authorMultiSearchableSelect
                                          (navigate)="navigateToPerson($event)"
                                          [extraInfoDisplayOnContent]="false"
                                          [extraInfoImage]="iconNameEnum.orcid"
                                          [extraInfoLabelKey]="'orcid'"
                                          [extraInfoImageOverrideMethod]="true"
                                          [extraInfoPlaceholderCallback]="extraInfoPlaceholderCallback"
                                          (extraInfoCallback)="extraInfoCallback($event)"
                                          [formControl]="fd"
                                          [isWithLink]="currentApplicationRole === userApplicationRoleEnum.root
                                               || currentApplicationRole === userApplicationRoleEnum.admin"
                                          [labelKey]="'fullName'"
                                          [matTooltipPosition]="'left'"
                                          [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                                          [matTooltip]="'deposit.tooltips.authors' | translate"
                                          [placeholder]="labelTranslateEnum.clickHereToAddAContributor | translate"
                                          [required]="formValidationHelper.hasRequiredField(fd)"
                                          [resourceNameSpace]="sharedPersonActionNameSpace"
                                          [sort]="sharedPersonSort"
                                          [state]="sharedPersonState"
                                          [storeLastSelectionKey]="lastSelectionContributorLocalStorageKey"
                                          [title]="labelTranslateEnum.contributors | translate"
                                          [tooltipNavigateToTranslate]="labelTranslateEnum.seeContributorDetail | translate"
                                          [valueKey]="'resId'"
                                          [overlayComponent]="$any(personOverlayComponent)"
                                          [overlayExtra]="personOverlayExtra"
                                          aria-label="contributor"
                                          class="input"
                                          solidifyValidation
        >
        </solidify-searchable-multi-select>

        <div class="author-extra-buttons">
          <button (click)="addPeople()"
                  (onEnter)="addPeople()"
                  *ngIf="!readonly"
                  [disabled]="readonly"
                  [matTooltipPosition]="'above'"
                  [matTooltip]="labelTranslateEnum.createNewPerson | translate"
                  aria-label="Add missing person"
                  color="primary"
                  mat-icon-button
                  solidifyShortCuts
                  type="button"
          >
            <solidify-icon [iconName]="iconNameEnum.personAdd"></solidify-icon>
          </button>

          <button (click)="orderAuthors(authorMultiSearchableSelect.selectedItems)"
                  (onEnter)="orderAuthors(authorMultiSearchableSelect.selectedItems)"
                  *ngIf="!readonly && (fd.value | isNonEmptyArray) && fd.value.length > 1"
                  [disabled]="readonly"
                  [matTooltipPosition]="'above'"
                  [matTooltip]="'deposit.tooltips.orderAuthors' | translate"
                  aria-label="Order authors"
                  color="primary"
                  mat-icon-button
                  solidifyShortCuts
                  type="button"
          >
            <solidify-icon [iconName]="iconNameEnum.sortAscending"></solidify-icon>
          </button>
        </div>
      </div>

      <div class="author-add-me-wrapper">
        <button #matButton
                (click)="addMeAsAuthor()"
                *ngIf="!readonly && personConnected && !personConnectedAlreadyInAuthor()"
                color="primary"
                mat-flat-button
                [solidifyDataTest]="dataTestEnum.depositAddMeAsAuthor"
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.create"></solidify-icon>
          {{labelTranslateEnum.addMeAsContributor | translate}}
        </button>
      </div>
    </div>

    <div class="identifiers">
      <div *ngIf="getFormControl(formDefinition.ark) as fd"
           [matTooltip]="'deposit.form.tooltips.arkInactive.whyDisabled' | translate"
           [matTooltipPosition]="'left'"
           [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
           [matTooltipDisabled]="fd.value | isNotNullNorUndefinedNorWhiteString"
           [class.is-main-identifier]="defaultIdentifierType === depositIdentifierTypeEnum.ARK"
           [class.hide-component]="defaultIdentifierType === depositIdentifierTypeEnum.DOI"
           class="ark-wrapper"
      >
        <mat-form-field [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matMenuTriggerFor]="arkMenu.menu"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="labelTranslateEnum.clickForMoreOptions | translate"
                        class="ark"
                        [class.is-disabled]="fd.value | isNullOrUndefinedOrWhiteString"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.ark | translate}}</mat-label>
          <input [formControl]="fd"
                 [disabled]="fd.value | isNullOrUndefinedOrWhiteString"
                 matInput
          >
          <button *ngIf="fd.value | isNotNullNorUndefinedNorWhiteString"
                  (click)="arkMenu.navigateToArk($event)"
                  aria-label="ARK"
                  mat-icon-button
                  matSuffix
                  type="button"
                  class="button-suffix ark-button"
          >
            <solidify-icon [iconName]="iconNameEnum.ark"
                           class="size-16 icon"
            ></solidify-icon>
          </button>
        </mat-form-field>

        <solidify-ark-menu-container #arkMenu="arkMenu"
                                     [ark]="getFormControl(formDefinition.ark).value"
                                     [allowNavigateToArk]="true"
        ></solidify-ark-menu-container>
      </div>

      <div *ngIf="getFormControl(formDefinition.doi) as fd"
           [matTooltip]="'deposit.form.tooltips.doiInactive.whyDisabled' | translate"
           [matTooltipPosition]="'left'"
           [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
           [matTooltipDisabled]="fd.value | isNotNullNorUndefinedNorWhiteString"
           [class.is-main-identifier]="defaultIdentifierType === depositIdentifierTypeEnum.DOI"
           [class.hide-component]="defaultIdentifierType === depositIdentifierTypeEnum.ARK"
           class="doi-wrapper"
      >
        <mat-form-field [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matMenuTriggerFor]="doiMenu.menu"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="labelTranslateEnum.clickForMoreOptions | translate"
                        class="doi"
                        [class.is-disabled]="fd.value | isNullOrUndefinedOrWhiteString"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.doi | translate}}</mat-label>
          <input [formControl]="fd"
                 [disabled]="fd.value | isNullOrUndefinedOrWhiteString"
                 matInput
          >
          <button *ngIf="fd.value | isNotNullNorUndefinedNorWhiteString"
                  [disabled]="doiMenu.inErrorWhenRetrieveShortDoi"
                  (click)="doiMenu.navigateToDoi($event)"
                  aria-label="DOI"
                  mat-icon-button
                  matSuffix
                  type="button"
                  class="button-suffix doi-button"
          >
            <solidify-icon [iconName]="iconNameEnum.doi"
                           [class.not-available]="doiMenu.inErrorWhenRetrieveShortDoi"
                           class="size-16 icon"
            ></solidify-icon>
          </button>
          <solidify-icon *ngIf="doiMenu?.inErrorWhenRetrieveShortDoi | isTrue"
                         [iconName]="iconNameEnum.warning"
                         [matTooltip]="(model.status === statusEnum.IN_PROGRESS || model.status === statusEnum.IN_VALIDATION || model.status ===
                       statusEnum.IN_ERROR || model.status === statusEnum.REJECTED || model.status === statusEnum.SUBMITTED) ?
                       ('deposit.form.tooltips.doiInactive.notSubmitted' | translate) :
                       ('deposit.form.tooltips.doiInactive.notRegistered' | translate)"
                         class="size-16 inactive-doi button-suffix"
                         matSuffix
          ></solidify-icon>
        </mat-form-field>

        <solidify-doi-menu-container #doiMenu="doiMenu"
                                     [doi]="fd.value"
                                     (inErrorWhenRetrieveShortDoiChange)="externalDetectChanges()"
        ></solidify-doi-menu-container>
      </div>
    </div>

    <solidify-panel-expandable [isOpen]="true"
                               [titleToTranslate]="labelTranslateEnum.additionalInformation | translate"
                               class="section"
    >
      <div class="line">
        <mat-form-field *ngIf="getFormControl(formDefinition.languageId) as fd"
                        [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="'deposit.tooltips.language' | translate"
                        aria-label="language tooltip"
                        solidifyTooltipOnEllipsis
        >
          <solidify-icon [iconName]="iconNameEnum.language"
                         matPrefix
                         class="size-24 icon"
          ></solidify-icon>
          <mat-label>{{labelTranslateEnum.language | translate}}</mat-label>
          <mat-select [solidifyDataTest]="dataTestEnum.depositLanguage"
                      [formControl]="fd"
                      [solidifyValidation]="errors"
          >
            <mat-option *ngFor="let language of languages"
                        [value]="language.resId"
                        solidifyTooltipOnEllipsis
            >
              {{language.code}}
            </mat-option>
          </mat-select>
          <mat-error #errors
                     solidifyTooltipOnEllipsis
          ></mat-error>
        </mat-form-field>

        <ng-container *ngIf="getFormControl(formDefinition.collectionBegin) as fdBegin">
          <ng-container *ngIf="getFormControl(formDefinition.collectionEnd) as fdEnd">
            <mat-form-field [class.mat-form-field-invalid]="fdBegin.invalid || fdEnd.invalid || formValidationHelper.displayInvalidWhenRequired(fdBegin,
            displayEmptyRequiredFieldInError) || formValidationHelper.displayInvalidWhenRequired(fdEnd, displayEmptyRequiredFieldInError)"
                            [appearance]="appearanceInputMaterial"
                            [matTooltipPosition]="'left'"
                            [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                            [matTooltip]="'deposit.tooltips.collectionPeriod' | translate"
                            solidifyTooltipOnEllipsis
            >
              <solidify-icon [iconName]="iconNameEnum.dataCollectionPeriod"
                             matPrefix
                             class="size-24 icon"
              ></solidify-icon>
              <mat-label>{{labelTranslateEnum.dataCollectionPeriod | translate}}</mat-label>
              <mat-date-range-input [rangePicker]="picker">
                <input matStartDate
                       [formControl]="fdBegin"
                       [placeholder]="labelTranslateEnum.startDate | translate"
                >
                <input matEndDate
                       [formControl]="fdEnd"
                       [placeholder]="labelTranslateEnum.endDate | translate"
                >
              </mat-date-range-input>
              <mat-hint>{{DATE_FORMAT_EXPECTED}} – {{DATE_FORMAT_EXPECTED}}</mat-hint>
              <mat-datepicker-toggle matSuffix
                                     [for]="picker"
              ></mat-datepicker-toggle>

              <button *ngIf="!readonly && (!(fdBegin?.value | isNullOrUndefinedOrEmpty) || !(fdEnd?.value | isNullOrUndefinedOrEmpty))"
                      (click)="cleanCollectionPeriod()"
                      aria-label="Clear"
                      class="clear"
                      mat-icon-button
                      matSuffix
                      type="button"
              >
                <solidify-icon [iconName]="iconNameEnum.close"
                               class="size-16"
                ></solidify-icon>
              </button>
              <mat-date-range-picker #picker
                                     [touchUi]="breakpointService.isSmallerThanMd()"
              ></mat-date-range-picker>
            </mat-form-field>
          </ng-container>
        </ng-container>

      </div>

      <div class="line">
        <solidify-searchable-multi-select *ngIf="getFormControl(formDefinition.subjectAreas) as fd"
                                          [extraInfoLabelKey]="'code'"
                                          [formControl]="fd"
                                          [isWithLink]="true"
                                          [labelCallback]="subjectAreaLabelCallback"
                                          [labelKey]="'name'"
                                          [placeholder]="labelTranslateEnum.clickHereToAddASubjectArea | translate"
                                          [required]="formValidationHelper.hasRequiredField(fd)"
                                          [resourceNameSpace]="sharedSubjectAreaActionNameSpace"
                                          [searchKey]="'nameOrCode'"
                                          [sort]="sharedSubjectAreaSort"
                                          [state]="sharedSubjectAreaState"
                                          [title]="labelTranslateEnum.subjectArea | translate"
                                          [tooltipNavigateToTranslate]="labelTranslateEnum.seeSubjectAreaDetail | translate"
                                          [valueKey]="'resId'"
                                          (navigate)="navigateToSubjectArea()"
                                          [prefixIcon]="iconNameEnum.subjectArea"
                                          aria-label="subject area"
                                          solidifyValidation
        >
        </solidify-searchable-multi-select>

        <solidify-searchable-tree-single-select *ngIf="getFormControl(formDefinition.archiveTypeId) as fd"
                                                [formControl]="fd"
                                                [list]="listArchiveMasterTypes"
                                                [labelKey]="'name'"
                                                [valueKey]="'resId'"
                                                [parentKey]="'masterType'"
                                                [appearance]="appearanceInputMaterial"
                                                [isWithLink]="false"
                                                [title]="labelTranslateEnum.mainContentType | translate"
                                                [required]="formValidationHelper.hasRequiredField(fd)"
                                                [labelCallback]="archiveTypeMasterLabel"
                                                [onlyLastChildrenSelected]="true"
                                                [overlayPosition]="overlayPosition"
                                                [closeAfterValueSelected]="true"
                                                [showEmptyRequiredFieldInError]="true"
                                                (editChange)="this.enterInEditMode()"
                                                [matTooltipPosition]="'left'"
                                                [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                                                [matTooltip]="'deposit.tooltips.archiveType' | translate"
                                                [readonly]="readonly"
                                                [prefixIcon]="iconNameEnum.contentType"
                                                aria-label="archive type tooltip"
                                                solidifyValidation
        >
        </solidify-searchable-tree-single-select>
      </div>

      <solidify-keyword-input *ngIf="getFormControl(formDefinition.keywords) as fd"
                              [formControl]="fd"
                              [readonly]="readonly"
                              [spaceDelimiter]="false"
                              [prefixIcon]="iconNameEnum.keyword"
      >
      </solidify-keyword-input>
    </solidify-panel-expandable>

    <solidify-panel-expandable [isOpen]="false"
                               [titleToTranslate]="labelTranslateEnum.associatedDataAndPublications | translate"
                               class="section"
    >
      <ng-container *ngIf="getFormControl(formDefinition.isIdenticalTo) as fd">
        <mat-form-field [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="'deposit.form.tooltips.isIdenticalTo' | translate"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.isIdenticalTo | translate}}</mat-label>
          <input [formControl]="fd"
                 [required]="formValidationHelper.hasRequiredField(fd)"
                 [solidifyValidation]="errors"
                 matInput
          >
          <button *ngIf="fd.value | isNotNullNorUndefinedNorWhiteString"
                  (click)="goToDoi(fd.value, $event)"
                  aria-label="DOI"
                  mat-icon-button
                  matSuffix
                  type="button"
                  class="button-suffix doi-button"
          >
            <solidify-icon [iconName]="iconNameEnum.doi"
                           class="size-16 icon"
            ></solidify-icon>
          </button>
          <mat-error #errors
                     solidifyTooltipOnEllipsis
          ></mat-error>
        </mat-form-field>
      </ng-container>

      <solidify-keyword-input *ngIf="getFormControl(formDefinition.isReferencedBy) as fd"
                              [placeholderToTranslate]="labelTranslateEnum.isReferencedBy"
                              [formControl]="fd"
                              [readonly]="readonly"
                              [separatorDelimiter]="false"
                              [matTooltipPosition]="'left'"
                              [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                              [matTooltip]="'deposit.form.tooltips.isReferencedBy' | translate"
                              [extraInfoImage]="iconNameEnum.doi"
                              [extraInfoImageLabel]="labelTranslateEnum.navigateToTheDoi"
                              (extraInfoImageCallback)="goToDoi($event)"
      >
      </solidify-keyword-input>

      <ng-template [ngIf]="((model | isNotNullNorUndefined) && editMode === depositEditModeEnum.metadata) ||
    (getFormControl(formDefinition.isObsoletedBy)?.value | isNotNullNorUndefinedNorWhiteString)"
      >
        <ng-container *ngIf="getFormControl(formDefinition.isObsoletedBy) as fd">
          <mat-form-field [appearance]="appearanceInputMaterial"
                          [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                          [matTooltipPosition]="'left'"
                          [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                          [matTooltip]="'deposit.form.tooltips.isObsoletedBy' | translate"
                          solidifyTooltipOnEllipsis
          >
            <mat-label>{{labelTranslateEnum.isObsoletedBy | translate}}</mat-label>
            <input [formControl]="fd"
                   [required]="formValidationHelper.hasRequiredField(fd)"
                   [solidifyValidation]="errors"
                   matInput
            >
            <button *ngIf="fd.value | isNotNullNorUndefinedNorWhiteString"
                    (click)="goToDoi(fd.value, $event)"
                    aria-label="DOI"
                    mat-icon-button
                    matSuffix
                    type="button"
                    class="button-suffix doi-button"
            >
              <solidify-icon [iconName]="iconNameEnum.doi"
                             class="size-16 icon"
              ></solidify-icon>
            </button>
            <mat-error #errors
                       solidifyTooltipOnEllipsis
            ></mat-error>
          </mat-form-field>
        </ng-container>
      </ng-template>
    </solidify-panel-expandable>

    <solidify-panel-expandable [isOpen]="false"
                               [titleToTranslate]="labelTranslateEnum.preservationSettings | translate"
                               class="section"
    >
      <div class="submission-policy-wrapper">
        <mat-form-field *ngIf="getFormControl(formDefinition.submissionPolicyId) as fd"
                        [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="'deposit.tooltips.submissionPolicy' | translate"
                        aria-label="submission policy tooltip"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.submissionPolicy | translate}}</mat-label>
          <mat-select [disabled]="readonly || fd.disabled"
                      [solidifyDataTest]="dataTestEnum.depositSubmissionPolicy"
                      [formControl]="fd"
                      [required]="formValidationHelper.hasRequiredField(fd)"
                      [solidifyValidation]="errors"
                      (selectionChange)="computePreviewSubmissionAgreementWithSubmissionPolicyId($event.value)"
          >
            <mat-option *ngFor="let submission of listSubmissionPolicies"
                        [value]="submission.resId"
                        solidifyTooltipOnEllipsis
            >
              {{submission.name}}
            </mat-option>
          </mat-select>
          <mat-error #errors
                     solidifyTooltipOnEllipsis
          ></mat-error>
        </mat-form-field>

        <div *ngIf="submissionAgreementDownloadUrl | isNotNullNorUndefinedNorWhiteString"
             class="buttons-wrapper"
        >
          <button (click)="previewSubmissionAgreement()"
                  [matTooltip]="labelTranslateEnum.previewSubmissionAgreementFile | translate"
                  [disabled]="!canPreviewSubmissionAgreement"
                  class="preview"
                  mat-icon-button
                  type="button"
                  color="primary"
          >
            <solidify-icon [iconName]="iconNameEnum.preview"
                           class="size-20"
            ></solidify-icon>
          </button>
          <button (click)="downloadSubmissionAgreement()"
                  [matTooltip]="labelTranslateEnum.downloadSubmissionAgreementFile | translate"
                  class="download"
                  mat-icon-button
                  type="button"
                  color="primary"
          >
            <solidify-icon [iconName]="iconNameEnum.download"
                           class="size-20"
            ></solidify-icon>
          </button>
        </div>
      </div>

      <mat-form-field *ngIf="getFormControl(formDefinition.preservationPolicyId) as fd"
                      [appearance]="appearanceInputMaterial"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      [matTooltipPosition]="'left'"
                      [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                      [matTooltip]="'deposit.tooltips.preservationPolicy' | translate"
                      aria-label="preservation policy tooltip"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.preservationPolicy | translate}}</mat-label>
        <mat-select [disabled]="readonly || fd.disabled"
                    [solidifyDataTest]="dataTestEnum.depositPreservationPolicy"
                    [formControl]="fd"
                    [required]="formValidationHelper.hasRequiredField(fd)"
                    [solidifyValidation]="errors"
        >
          <mat-option *ngFor="let preservation of listPreservationPolicies"
                      [value]="preservation.resId"
                      solidifyTooltipOnEllipsis
          >
            {{preservation.name}}
          </mat-option>
        </mat-select>
        <mat-error #errors
                   solidifyTooltipOnEllipsis
        ></mat-error>
      </mat-form-field>
    </solidify-panel-expandable>

  </ng-template>

  <ng-template #rightTemplate>

    <div class="publication-date-wrapper">
      <solidify-icon [iconName]="iconNameEnum.creationDate"
                     class="icon"
      ></solidify-icon>
      <mat-form-field (click)="publicationDateDatepicker.open()"
                      *ngIf="getFormControl(formDefinition.publicationDate) as fd"
                      [appearance]="appearanceInputMaterial"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      [matTooltipPosition]="'left'"
                      [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                      [matTooltip]="labelTranslateEnum.publicationDate | translate"
                      aria-label="publication date tooltip"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.publicationDate | translate}}</mat-label>
        <input [solidifyDataTest]="dataTestEnum.depositPublicationDate"
               [formControl]="fd"
               [matDatepicker]="publicationDateDatepicker"
               [required]="formValidationHelper.hasRequiredField(fd)"
               [solidifyValidation]="errors"
               matInput
        >
        <mat-datepicker-toggle [for]="publicationDateDatepicker"
                               matSuffix
        ></mat-datepicker-toggle>
        <mat-datepicker #publicationDateDatepicker
                        [touchUi]="breakpointService.isSmallerThanMd()"
        ></mat-datepicker>
        <mat-error #errors
                   solidifyTooltipOnEllipsis
        ></mat-error>
      </mat-form-field>
    </div>

    <div class="access-level-wrapper">
      <dlcm-shared-access-level [accessLevel]="getFormControl(formDefinition.access)?.value"
                                class="icon"
      ></dlcm-shared-access-level>
      <mat-form-field *ngIf="getFormControl(formDefinition.access) as fd"
                      [appearance]="appearanceInputMaterial"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      [matTooltipPosition]="'left'"
                      [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                      [matTooltip]="'deposit.tooltips.accessLevel' | translate"
                      aria-label="access level"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.accessLevel | translate}}</mat-label>
        <mat-select [solidifyDataTest]="dataTestEnum.depositAccessLevel"
                    [formControl]="fd"
                    [solidifyValidation]="errors"
        >
          <mat-option *ngFor="let accessLevel of accessEnumValues"
                      [value]="accessLevel.key"
                      (click)="adaptEmbargoAccessLevel($any(accessLevel.key))"
                      solidifyTooltipOnEllipsis
          >
            {{accessLevel.value | translate}}
          </mat-option>
        </mat-select>
        <mat-error #errors
                   solidifyTooltipOnEllipsis
        ></mat-error>
      </mat-form-field>
    </div>

    <dlcm-shared-data-sensitivity-input [formControl]="getFormControl(formDefinition.dataSensitivity)"
                                        [dataSensitivityEnumValues]="listSensitivityOptions"
    ></dlcm-shared-data-sensitivity-input>

    <div class="data-use-policy-wrapper">
      <dlcm-shared-data-use-policy [dataUsePolicy]="getFormControl(formDefinition.dataUsePolicy)?.value"
                                   [withTooltip]="true"
                                   class="icon"
      >
      </dlcm-shared-data-use-policy>
      <mat-form-field *ngIf="getFormControl(formDefinition.dataUsePolicy) as fd"
                      [appearance]="appearanceInputMaterial"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      [matTooltipPosition]="'left'"
                      [solidifyTooltip]="'deposit.tooltips.dataUsePolicy' | translate"
                      class="data-use-policy-input"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.dataUsePolicy | translate}}</mat-label>
        <mat-select [disabled]="readonly || fd.disabled"
                    [formControl]="fd"
                    [required]="formValidationHelper.hasRequiredField(fd)"
                    [solidifyValidation]="errors"
        >
          <mat-option *ngFor="let dataUsePolicy of listDuaPolicyOptions"
                      [value]="dataUsePolicy.key"
                      [disabled]="(dataUsePolicy.enabled | isFalse)"
                      [matTooltip]="((dataUsePolicy.enabled | isFalse) ? labelTranslateEnum.dataUsePolicyIsIncompatibleWithTheSelectedAccessLevelAndDataTag :
                  dataUsePolicy.infoToTranslate) | translate"
                      [matTooltipPosition]="'left'"
                      solidifyTooltipOnEllipsis
          >
            {{dataUsePolicy.value | translate}}
          </mat-option>
        </mat-select>
        <mat-error #errors
                   solidifyTooltipOnEllipsis
        ></mat-error>
      </mat-form-field>
    </div>

    <ng-template [ngIf]="getFormControl(formDefinition.dataUsePolicy)?.value === dataUsePolicyShowEnum.DUA">
      <div class="dua-wrapper">
        <dlcm-shared-dua-type [duaType]="getFormControl(formDefinition.duaType)?.value"
                              [withTooltip]="true"
                              class="dua-icon"
        >
        </dlcm-shared-dua-type>
        <mat-form-field *ngIf="getFormControl(formDefinition.duaType) as fd"
                        [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matTooltipPosition]="'left'"
                        [solidifyTooltip]="'deposit.tooltips.duaType' | translate"
                        class="dua-type-input"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.duaType | translate}}</mat-label>
          <mat-select [disabled]="readonly || fd.disabled"
                      [formControl]="fd"
                      [required]="formValidationHelper.hasRequiredField(fd)"
                      [solidifyValidation]="errors"
          >
            <mat-option *ngFor="let duaType of listDuaTypeOptions"
                        [value]="duaType.key"
                        [disabled]="(duaType.enabled | isFalse)"
                        [matTooltip]="((duaType.enabled | isFalse) ? labelTranslateEnum.duaTypeIsIncompatibleWithTheSelectedAccessLevelAndDataTag :
                  duaType.infoToTranslate) | translate"
                        [matTooltipPosition]="'left'"
                        solidifyTooltipOnEllipsis
            >
              {{duaType.value | translate}}
            </mat-option>
          </mat-select>
          <mat-error #errors
                     solidifyTooltipOnEllipsis
          ></mat-error>
        </mat-form-field>
      </div>
    </ng-template>

    <ng-container *ngIf="getFormControl(formDefinition.duaFileChange) as fd">
      <solidify-file-upload-input-container [backendFileAdapter]="dataFileAdapter"
                                            [readonly]="readonly"
                                            [uploadButtonLabelToTranslate]="labelTranslateEnum.duaFile"
                                            [titleToTranslate]="labelTranslateEnum.duaFile"
                                            [backendFile]="dataFileDua"
                                            [blobProvidedMode]="'RETRIEVE_BY_URL'"
                                            [downloadUrl]="duaDownloadUrl"
                                            [formControl]="fd"
                                            class="dua-file-upload"
                                            [class.hide]="!isRequiredDuaFile"
      ></solidify-file-upload-input-container>
    </ng-container>

    <ng-template [ngIf]="displayLicenseSelect">
      <solidify-searchable-single-select *ngIf="getFormControl(formDefinition.licenseId) as fd"
                                         [solidifyDataTest]="dataTestEnum.depositLicenseId"
                                         [formControl]="fd"
                                         [labelCallback]="licenseCallback"
                                         [labelKey]="'title'"
                                         [matTooltipPosition]="'left'"
                                         [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                                         [displayCommonValuesListKey]="commonValueLicenseId"
                                         [displayCommonValuesLabel]="labelTranslateEnum.defaultValue"
                                         [matTooltip]="'deposit.tooltips.license' | translate"
                                         [placeholder]="labelTranslateEnum.license | translate"
                                         [readonly]="readonly"
                                         [required]="formValidationHelper.hasRequiredField(fd)"
                                         [resourceNameSpace]="sharedLicenseActionNameSpace"
                                         [sort]="sharedLicenseSort"
                                         [state]="sharedLicenseState"
                                         [urlKey]="'url'"
                                         [valueKey]="'resId'"
                                         [overlayComponent]="$any(licenseOverlayComponent)"
                                         aria-label="license tooltip"
                                         solidifyValidation
      >
      </solidify-searchable-single-select>
    </ng-template>

    <ng-template [ngIf]="getFormControl(formDefinition.access)?.value !== accessEnum.PUBLIC">
      <mat-checkbox *ngIf="getFormControl(formDefinition.contentStructurePublic) as fd"
                    [formControl]="fd"
                    [matTooltipPosition]="'left'"
                    [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                    [matTooltip]="labelTranslateEnum.tooltipContentStructurePublic | translate"
                    aria-label="structure-content-public tooltip"
                    class="structure-content-public"
                    color="primary"
      >{{labelTranslateEnum.contentStructurePublic | translate}}
      </mat-checkbox>
    </ng-template>

    <mat-checkbox *ngIf="(getFormControl(formDefinition.hasEmbargo)?.value | isNullOrUndefined) || getFormControl(formDefinition.access)?.value !==
    accessEnum.CLOSED"
                  [formControlName]="formDefinition.hasEmbargo"
                  [matTooltipPosition]="'left'"
                  [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                  [matTooltip]="'deposit.tooltips.hasEmbargo' | translate"
                  [value]="form.get(formDefinition.hasEmbargo).value"
                  (change)="adaptEmbargoAccessLevel(getFormControl(formDefinition.access)?.value, true)"
                  aria-label="embargo tooltip"
                  class="is-embargo"
                  [class.is-checked]="getFormControl(formDefinition.hasEmbargo)?.value | isTrue"
                  color="primary"
    >
      {{labelTranslateEnum.theDepositHasAnEmbargo | translate}}
    </mat-checkbox>

    <ng-container *ngIf="getFormControl(formDefinition.hasEmbargo)?.value && getFormControl(formDefinition.access)?.value !== accessEnum.CLOSED">
      <div class="access-level-wrapper">
        <dlcm-shared-access-level [accessLevel]="getFormControl(formDefinition.embargoAccess)?.value"
                                  class="icon"
        ></dlcm-shared-access-level>
        <mat-form-field *ngIf="getFormControl(formDefinition.embargoAccess) as fd"
                        [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        [matTooltipPosition]="'left'"
                        [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
                        [matTooltip]="'deposit.tooltips.embargoAccessLevel' | translate"
                        aria-label="access level"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.embargoAccessLevel | translate}}</mat-label>
          <mat-select [formControl]="fd"
                      [required]="formValidationHelper.hasRequiredField(fd)"
                      [solidifyValidation]="errors"
          >
            <mat-option *ngFor="let accessLevel of embargoEnumValues"
                        [value]="accessLevel.key"
                        solidifyTooltipOnEllipsis
            >
              {{accessLevel.value | translate}}
            </mat-option>
          </mat-select>
          <mat-error #errors
                     solidifyTooltipOnEllipsis
          ></mat-error>
        </mat-form-field>
      </div>

      <mat-form-field *ngIf="getFormControl(formDefinition.embargoNumberMonths) as fd"
                      [appearance]="appearanceInputMaterial"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.embargoDuration | translate}}</mat-label>
        <input [formControl]="fd"
               [required]="formValidationHelper.hasRequiredField(fd)"
               [solidifyValidation]="errors"
               matInput
               min="1"
               type="number"
        >
        <mat-error #errors
                   solidifyTooltipOnEllipsis
        ></mat-error>
      </mat-form-field>

      <ng-template [ngIf]="model?.status === statusEnum.COMPLETED">
        <mat-form-field *ngIf="getFormControl(formDefinition.embargoStartDate) as fd"
                        [appearance]="appearanceInputMaterial"
                        [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                        solidifyTooltipOnEllipsis
        >
          <mat-label>{{labelTranslateEnum.embargoStartDate | translate}}</mat-label>
          <input [value]="fd.value"
                 disabled
                 matInput
          >
        </mat-form-field>
      </ng-template>
    </ng-container>

    <dlcm-shared-package-button-navigator *ngIf="(model?.sipId | isNotNullNorUndefinedNorWhiteString)
    && (currentApplicationRole === userApplicationRoleEnum.root || currentApplicationRole === userApplicationRoleEnum.admin)"
                                          [currentViewMode]="'deposit'"
                                          [sipId]="model?.sipId"
                                          [aipId]="(sip?.aipId | isNotNullNorUndefinedNorWhiteString) && (sip.info?.status === packageStatusEnum.COMPLETED ||
                    sip.info?.status === packageStatusEnum.CLEANED) ? sip.aipId : undefined"
                                          [depositId]="model?.resId"
    >
    </dlcm-shared-package-button-navigator>
  </ng-template>

  <solidify-panel-expandable *ngIf="addFieldsForm | isNotNullNorUndefined"
                             [isOpen]="true"
                             [titleToTranslate]="labelTranslateEnum.optional | translate"
                             class="section"
  >
    <formly-form (modelChange)="formlyChange()"
                 [fields]="fields"
                 [form]="formFormly"
                 [model]="additionalFieldsValues"
                 class="formly"
    ></formly-form>
  </solidify-panel-expandable>

  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  ></dlcm-shared-additional-information-panel-container>

</form>
